%define name gyach
%define version 0.7.2
%define release 1mdk


Version: %{version}
Summary: A GTK+ based Yahoo! Chat client
Name: %{name}
Release: %{release}
Copyright: GPL
Group: Networking/Instant messaging
Source: %{name}-%{version}.tar.bz2
URL: http://www4.infi.net/~cpinkham/gyach/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description


Gyach is a GTK+ based Yahoo! Chat client. It has the following features: 

     chatter userlist window 
     aliases/emotes 
     PMs (send and receive) 
     supports multiple PM windows so you can send/receive from multiple people at the same time 
     room list window so you can just click a room name to join 
     ignore list 
     auto-ignore regex list 
     mute list (ignore for 1 session) 
     view chatter profile 
     auto-away (with setable time) 
     colors (including blended with override option) 
     custom away message 
     custom browser message (if not using internal profile viewer) 
     command-line scrollback buffer 
     configurable size of chat text window scrollback buffer 
     can have it's own ~/.gyach/gtkrc file for themes 
     recursive emotes/aliases 
     options for: 
         force lowercase of all chat text 
         auto-login (as option using default login/password) 
         disable user's fonts 
         disable user's colors 
         show user's statuses 
         show user's enter/leave messages 
         remember position in addition to main window size 
         auto-reply message for when receiving PM while away 
         limit number of linefeeds in a particular message by changing to '|' if exceeds limit. (so people can't cause the screen to scroll wildly) 
         display/not-display messages that first match an auto-ignore regex 
         remember/not-remember password 
         filter outgoing text through external program (such as 'jive') 

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build

%configure

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gyach"\
title="Gyach"\
longtitle="A yahoo chat client"\
needs="x11"\
section="Networking/Instant messaging"
EOF
)
 
%post
%update_menus
 
%postun
%update_menus 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README COPYING INSTALL TODO ChangeLog
%{_bindir}/*
%{_menudir}/*
%{_datadir}/gyach/pixmaps/no_photo.xpm

%changelog
* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- updated to 0.7.2

* Fri Nov 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- updated to 0.7.1

* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- updated to 0.7

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- updated to 0.6.3

* Fri Oct 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- new in contribs
- add menu entry
